# Visualization
TKV3d
AIS

# AIS_TypeFilter Class Reference

Selects Interactive Objects through their types. The
filter questions each Interactive Object in local context
to determine whether it has an non-null owner, and if
so, whether it is of the desired type. If the object
returns true in each case, it is kept. If not, it is rejected.
By default, the interactive object has a None type
and a signature of 0. A filter for type specifies a
choice of type out of a range at any level enumerated
for type or kind. The choice could be for kind of
interactive object, of dimension, of unit, or type of axis,
plane or attribute.
If you want to give a particular type and signature to
your Interactive Object, you must redefine two virtual
methods: Type and Signature.
This filter is used in both Neutral Point and open local contexts.
In the Collector viewer, you can only locate
Interactive Objects which answer positively to the
positioned filters when a local context is open.
Warning
When you close a local context, all temporary
interactive objects are deleted, all selection modes
concerning the context are cancelled, and all content
filters are emptied.
.

`#include <AIS_TypeFilter.hxx>`

Inheritance diagram for AIS_TypeFilter:

[legend]

## Public Member Functions

Standard_EXPORT | AIS_TypeFilter (const AIS_KindOfInteractive aGivenKind)
| Initializes filter for type, aGivenKind. .
virtual Standard_EXPORT Standard_Boolean | IsOk (const Handle(SelectMgr_EntityOwner)&anobj) const
| Returns False if the transient is not an Interactive Object, or if the type of the Interactive Object is not the same as that stored in the filter. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Attributes

AIS_KindOfInteractive | myKind

## Constructor & Destructor Documentation

Standard_EXPORT AIS_TypeFilter::AIS_TypeFilter | ( | const AIS_KindOfInteractive | aGivenKind | ) |

## Member Function Documentation

Standard_EXPORT const AIS_TypeFilter::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from SelectMgr_Filter. Reimplemented in AIS_SignatureFilter.

virtual Standard_EXPORT Standard_Boolean AIS_TypeFilter::IsOk | ( | const Handle(SelectMgr_EntityOwner)& | anobj | ) | const`[virtual]`

| Implements SelectMgr_Filter. Reimplemented in AIS_SignatureFilter.

## Field Documentation

AIS_KindOfInteractive AIS_TypeFilter::myKind `[protected]`

The documentation for this class was generated from the following file:

- AIS_TypeFilter.hxx